Description

Hi everybody,

I have a quick question concerning the time dimension of the panel data set when using Understanding Society. Waves are defined

from 1-5, but when I define some of my variables I need a calendar year, such as 2010. I found `w'_istrtdaty, which gives you the

beginning year of the interview if I properly understand it. But when I write xtset pidp year I receive an error message telling me that

there are repeated time values within panel.

I am afraid there are two questions I am raising here. First of all, why does the error message come up? Is it a measurement error in

the `w'_istrtdaty variable? Secondly, how can I transform waves in USoc into years properly? I need an annual measure!

History
- Assignee changed from Alita Nandi to Nico Ochmann
- Private changed from Yes to No

The fieldwork period for each wave stretches over two years. While the aim is to interview everyone one year apart, the actual interview date may be

a couple of months around the intended interview month. So, you could have someone being interviewed in January 2011 as part of Wave 2 and

December 2011 as part of Wave 3. For these cases, in your long file of five waves, you will find that their interview year is the same for two

consecutive waves as a result you will get the above error message.

Best wishes,

Alita

#2 - 08/03/2016 11:48 AM - Nico Ochmann

Dear Alita,

thank you so much for your fast reply, of course I appreciate that very much.

What you write above clears up a few things for me, one question that remains though, and I am not sure if this is the appropriate forum for this

question, is that I am not sure how to now construct a year variable. The interview periods comprise the years 2009, 2010, 2011, 2012, 2013,and

2014 with waves 1-5. How are you supposed to match waves with years? And I need a year number, I cannot work with a number 1-5. Why not?

Well, because I have for instance, Yr2uk4, the year a person came to the UK in my data set. To construct another variable with Yr2uk4, I need some

sort of annual measure. I hope this makes sense, comments and thoughts are very much appreciated. Thank you!

#3 - 08/04/2016 07:49 AM - Alita Nandi

Hello Nico,

It is difficult to give a general answer to your question. If you are then interested in doing longitudinal analysis with year instead of wave as the time

variable you will need to decide what to do with the problem cases discussed above. One option would be to change the interview year for the

problem cases, using the month to determine the year. So, in the above example you could impute the Wave 3 interview year to 2012 as it was Dec

2011. If you want to construct a variable such as time since arrival to UK by using the difference of the interview year variable, w_istrtdaty, and

Yr2uk4 for each wave, then for the problem cases you can use a similar technique to determine the interview year. Note these are only suggestions

and their suitability depends on the analysis.

Hope this helps.

Alita

#4 - 08/15/2016 03:45 PM - Victoria Nolan
